### Hierarchy

- DeepCopy<ExternalService>
  - ExternalService

## Index

### Constructors

- constructor

### Properties

- endpoint
- publicKey

### Methods

- copy
- deepCopyFromJson
- toJson

## Constructors

### constructor

- new ExternalService(publicKey?: string, endpoint?: string): ExternalService

- - Defined in repository/models/services/ExternalService.ts:5

  #### Parameters

  - ##### Default value publicKey: string = ""

  - ##### Default value endpoint: string = ""

  #### Returns ExternalService

## Properties

### endpoint

endpoint: string

- Defined in repository/models/services/ExternalService.ts:5

### publicKey

publicKey: string

- Defined in repository/models/services/ExternalService.ts:4

## Methods

### copy

- copy(changeArgs?: JsonObject<ExternalService>): ExternalService

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:8

  #### Parameters

  - ##### Optional changeArgs: JsonObject<ExternalService>

  #### Returns ExternalService

### Protected deepCopyFromJson

- deepCopyFromJson(): ExternalService

- Inherited from DeepCopy.deepCopyFromJson

  - Defined in repository/models/DeepCopy.ts:19

  #### Returns ExternalService

### toJson

- toJson(): object

- Overrides JsonTransform.toJson

  - Defined in repository/models/services/ExternalService.ts:13

  #### Returns object

Generated using TypeDoc